Package skyview.process

# Class BackupMosaicker

java.lang.Object
skyview.process.Processor
skyview.process.Mosaicker
skyview.process.BackupMosaicker

All Implemented Interfaces:
  `Serializable`, `Component`

public class BackupMosaicker extends Mosaicker
This mosaicker is used to create a mosaic where if there are pixels unfilled by the primary survey one or more secondary surveys are invoked to fill them.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BackupMosaicker()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Get a description of this component
`String`
`getName()`
Get the name of this component
`void`
`process(Image[] input, Image output, int[] osource, Sampler samp, DepthSampler dSampler)`
Populate the pixel values of the output mosaic.
`void`
`reprocess(Image output, int[] source, Sampler samp, DepthSampler dSampler, String survey)`
`void`
`updateHeader(nom.tam.fits.Header h)`
Describe the mosaicking of the image .

### Methods inherited from class skyview.process.Mosaicker

`addPixels, ordinalSuffix, setUsedImages, updatesOutput`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BackupMosaicker

public BackupMosaicker()

## Method Details

### getName

public String getName()
Get the name of this component

Specified by:
  `getName` in interface `Component`
Overrides:
  `getName` in class `Mosaicker`

### getDescription

public String getDescription()
Get a description of this component

Specified by:
  `getDescription` in interface `Component`
Overrides:
  `getDescription` in class `Mosaicker`

### process

public void process(Image[] input, Image output, int[] osource, Sampler samp, DepthSampler dSampler)
Description copied from class: `Mosaicker`
Populate the pixel values of the output mosaic. Note that the output image is assumed to be created prior to the mosaic call since its WCS will have been used extensively.

Overrides:
  `process` in class `Mosaicker`
Parameters:
  `input` - An array of input images.
  `output` - The image whose data is to be filled.
  `osource` - An integer array giving the source image to be used for the output pixels. Note that depending upon the mosaicker used, source may be dimensioned as either nx*ny or (nx+1)*(ny+1).
  `samp` - The sampler to be used to sample the input images.
  `dSampler` - The sampler (if any) in the energy dimension.

### reprocess

public void reprocess(Image output, int[] source, Sampler samp, DepthSampler dSampler, String survey)

### updateHeader

public void updateHeader(nom.tam.fits.Header h)
Describe the mosaicking of the image .

Overrides:
  `updateHeader` in class `Mosaicker`